<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Архив mp3 музыки';
include_once '../sys/inc/thead.php';
title();
err();
aut();

ini_set('display_errors',0);  ini_set('register_globals', 0);
session_name('SID'); session_start();
##############################################


##############################################
$host= "mp3.wapos.ru"; $path="/?".$_SERVER['QUERY_STRING'];
$fp=fsockopen($host,80,$errno, $errstr,10);
if(!$fp) { echo "$errstr ($errno)<br/>\n"; }else{
$data = "";$post=0; foreach($_POST as $key=>$value){
$post=1; $data.="&$key=$value";} if($data)$data=substr($data,1);
if($post) $headers = "POST $path HTTP/1.0\r\n";else
$headers = "GET $path HTTP/1.0\r\n"; $headers .= "Host: $host\r\n";
$headers .= "Accept: text/html, application/xml;q=0.9, application/xhtml+xml, image/png, image/jpeg, image/gif,image/x-bitmap, */*;q=0.1\r\n";
$headers .= "Accept-Charset: utf-8;q=0.6 windows-1251;q=0.1*;q=0.1\r\n";
$headers .= "Accept-Encoding: utf-8\r\n";
$headers .= "Accept-Language: ru, en;q=0.9\r\n";
$headers .= "User-Agent: ".$_SERVER['HTTP_USER_AGENT']."\r\n";
if($post){ $headers .= "Content-type: application/x-www-form-urlencoded\r\n";
$headers .= "Content-Length: ".strlen ($data)."\r\n";
$headers .= "\r\n"; $headers .= $data;}else $headers.="\r\n";
@fwrite($fp, $headers); while($file != "\r\n") $file = @fgets($fp, 128);
$file = ''; while(!feof($fp)) $file .= @fgets($fp, 4096); @fclose($fp); }
##############################################
##############################################
$file = preg_replace('|<!DOCTYPE(.*)</head>|sU', '',$file);
$file = preg_replace('|<body>(.*)</a></div>|sU', '',$file);
$file = str_replace('<a href="http://wapos.ru">','',$file);
$file = str_replace('<br/><div class="t">Кат','<div class="t">Кат',$file);
$file = str_replace('<a href="http://mp3.wapos.ru">','<a href="index.php">',$file);
$file = str_replace('<a href="http://wapos.ru/mp3full/">','<a href="index.php">',$file);
$file = preg_replace('|<img src="imgs/coms.gif"(.*)">|sU', '',$file);
$file = preg_replace('|<a href="comments.php(.*)">|sU', '',$file);
$file = preg_replace('|<div>Комментарии</a>(.*)<br/>|sU', '',$file);
$file = preg_replace('|&lt;&lt; На главную</a>(.*)</body></html>|sU', '',$file);
##############################################

echo $file;

##############################################
include_once '../sys/inc/tfoot.php';
?>
